## Class Pair

    java.lang.Object
      |
      +--Pair

public class Pair
extends java.lang.Object

Field Summary
`(package private) boolean` `bEqual`
`(package private) boolean` `bSubst`
`Type` `TA1`
`Type` `TA2`

Constructor Summary
`(package private)` `Pair(Type TA1, Type TA2)`
`(package private)` `Pair(Type TA1, Type TA2, boolean bEqual)`

Method Summary
`(package private) Type` `copyType(Type T)`
`(package private) Type` `getTA1Copy()`
`(package private) Type` `getTA2Copy()`
`boolean` `isEqual()`
`(package private) boolean` `isInMenge(de.dhbwstuttgart.typeinference.Menge V)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TA1

    public Type TA1

### TA2

    public Type TA2

### bEqual

    boolean bEqual

### bSubst

    boolean bSubst

Constructor Detail

### Pair

    Pair(Type TA1,
         Type TA2)

### Pair

    Pair(Type TA1,
         Type TA2,
         boolean bEqual)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isEqual

    public boolean isEqual()

### copyType

    Type copyType(Type T)

### getTA1Copy

    Type getTA1Copy()

### getTA2Copy

    Type getTA2Copy()

### isInMenge

    boolean isInMenge(de.dhbwstuttgart.typeinference.Menge V)